<template>
  <v-card>
    <v-card-title>
      Docker Status
      <v-spacer></v-spacer>
      <v-text-field
        v-model="search"
        append-icon="mdi-magnify"
        label="Search"
        single-line
        hide-details
      ></v-text-field>
    </v-card-title>
    <v-card-text>
      <v-data-table
        :headers="headers"
        :items="dockerContainers"
        :search="search"
        class="elevation-1"
      >
        <template v-slot:item.action="{ item }">
          <v-btn icon @click="startContainer(item)">
            <v-icon color="blue">mdi-play</v-icon>
          </v-btn>
          <v-btn icon @click="stopContainer(item)">
            <v-icon color="red">mdi-stop</v-icon>
          </v-btn>
          <v-btn icon @click="showLogs(item)">
            <v-icon>mdi-file-document-outline</v-icon>
          </v-btn>
        </template>
      </v-data-table>
    </v-card-text>

    <v-dialog v-model="logsDialog" max-width="600px">
      <v-card>
        <v-card-title class="headline">Container Logs</v-card-title>
        <v-card-text>
          <v-textarea
            v-model="currentLogs"
            auto-grow
            readonly
            :rows="10"
          ></v-textarea>
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="blue darken-1" text @click="closeLogs">Close</v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-card>
</template>

<script>
export default {
  data() {
    return {
      search: '',
      headers: [
        { text: 'Container Name', value: 'name' },
        { text: 'Image', value: 'image' },
        { text: 'Status', value: 'status' },
        { text: 'Actions', value: 'action', sortable: false }
      ],
      dockerContainers: [], // This should be populated with actual Docker container data
      logsDialog: false,
      currentLogs: ''
    };
  },
  methods: {
    startContainer(container) {
      // Logic to start the container
    },
    stopContainer(container) {
      // Logic to stop the container
    },
    showLogs(container) {
      // Fetch and display logs for the container
      this.currentLogs = `Logs for ${container.name}`; // Replace with actual log fetching logic
      this.logsDialog = true;
    },
    closeLogs() {
      this.logsDialog = false;
    }
  }
};
</script>
